package com.blackledge.david.html.hme;

import java.net.URL;

import com.tivo.hme.bananas.BApplication;
import com.tivo.hme.bananas.BScreen;
import com.tivo.hme.bananas.BView;
import com.tivo.hme.sdk.View;

/** @deprecated */
public class VideoScreen extends BScreen {

	private URL videoURL;
	private VideoView video;

	public VideoScreen(BApplication app, URL videoURL, String contentType) {
		super(app);
		this.videoURL = videoURL;
	}
	
	@Override
	public boolean handleEnter(Object arg, boolean isReturn) {
		if(!isReturn) {
			if(video != null) {
				View parent = video.getParent();
				video.remove();
				parent.remove();
			}
			int SAFE_H = SAFE_ACTION_H;// / 2;
			int SAFE_V = SAFE_ACTION_V;// / 2;
			BView videoParent = new BView(getBelow(), SAFE_H, SAFE_V, getBelow().getWidth()-(2*SAFE_H), getBelow().getHeight()-(2*SAFE_V));
			video = new VideoView(videoParent, videoURL.toString());
//TODO			video.setEndAction("VIDEO_ENDED");
			setFocusDefault(video);
			setFocus(video);
		}
		return super.handleEnter(arg, isReturn);
	}
	
	@Override
	public boolean handleKeyPress(int code, long rawcode) {
		switch(code) {
		case KEY_LEFT:
			getBApp().pop();
			return true;
		}
		return super.handleKeyPress(code, rawcode);
	}
	
	@Override
	public boolean handleAction(BView view, Object action) {
		if(action.equals("VIDEO_ENDED")) {
System.out.println(action);
			getBApp().pop();
			return true;
		}
		return super.handleAction(view, action);
	}

}
